--
-- VeenhuisSW450
-- This is the specialization for VeenhuisSW450
--
-- 
-- 
--
-- 

VeenhuisSW450 = {};

function VeenhuisSW450.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function VeenhuisSW450:load(xmlFile)

	self.fillNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fillNode#index"));

end;

function VeenhuisSW450:delete()
end;

function VeenhuisSW450:mouseEvent(posX, posY, isDown, isUp, button)
end;

function VeenhuisSW450:keyEvent(unicode, sym, modifier, isDown)
end;

function VeenhuisSW450:update(dt)
	
end;

function VeenhuisSW450:draw()
end;
